package com.ruoyi.ggpx.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;

/**
 * 任务基准对象 ggpx_task_base
 * 
 * @author Jian
 * @date 2024-08-11
 */
public class TaskBase extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 任务ID */
    @Excel(name = "任务ID")
    private Long taskId;

    /** 字段名称 */
    @Excel(name = "字段名称")
    private String fieldName;

    /** 字段类型 */
    @Excel(name = "字段类型")
    private String fieldType;

    /** 字段标签 */
    @Excel(name = "字段标签")
    private String fieldLabel;

    /** 默认值 */
    @Excel(name = "默认值")
    private String defaultVal;

    /** 最大值 */
    @Excel(name = "最大值")
    private Long maxVal;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setFieldName(String fieldName) 
    {
        this.fieldName = fieldName;
    }

    public String getFieldName() 
    {
        return fieldName;
    }
    public void setFieldType(String fieldType) 
    {
        this.fieldType = fieldType;
    }

    public String getFieldType() 
    {
        return fieldType;
    }
    public void setFieldLabel(String fieldLabel) 
    {
        this.fieldLabel = fieldLabel;
    }

    public String getFieldLabel() 
    {
        return fieldLabel;
    }
    public void setDefaultVal(String defaultVal) 
    {
        this.defaultVal = defaultVal;
    }

    public String getDefaultVal() 
    {
        return defaultVal;
    }
    public void setMaxVal(Long maxVal) 
    {
        this.maxVal = maxVal;
    }

    public Long getMaxVal() 
    {
        return maxVal;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("fieldName", getFieldName())
            .append("parentId", getParentId())
            .append("orderNum", getOrderNum())
            .append("fieldType", getFieldType())
            .append("fieldLabel", getFieldLabel())
            .append("defaultVal", getDefaultVal())
            .append("maxVal", getMaxVal())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
