package com.ruoyi.ggpx.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 任务数据对象 ggpx_task_data
 *
 * @author Jian
 * @date 2024-08-11
 */
public class TaskData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * 任务ID
     */
    @Excel(name = "任务ID")
    private Long taskId;

    /**
     * 样品名称
     */
    @Excel(name = "样品名称")
    private String sampleName;

    /**
     * 任务数据
     */
    @Excel(name = "任务数据")
    private String data;

    /**
     * 组长
     */
    @Excel(name = "组长")
    private String groupLeader;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private Integer status;

    /**
     * 是否有质量
     */
    @Excel(name = "是否有质量")
    private Integer hasQuality;

    /**
     * 质量
     */
    @Excel(name = "质量")
    private String quality;

    /**
     * 是否有总分
     */
    @Excel(name = "是否有总分")
    private Integer hasTotal;

    /**
     * 总分
     */
    @Excel(name = "总分")
    private Double totalVal;

    public Integer getHasQuality() {
        return hasQuality;
    }

    public void setHasQuality(Integer hasQuality) {
        this.hasQuality = hasQuality;
    }

    public String getQuality() {
        return quality;
    }

    public void setQuality(String quality) {
        this.quality = quality;
    }

    public Integer getHasTotal() {
        return hasTotal;
    }

    public void setHasTotal(Integer hasTotal) {
        this.hasTotal = hasTotal;
    }

    public Double getTotalVal() {
        return totalVal;
    }

    public void setTotalVal(Double totalVal) {
        this.totalVal = totalVal;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setSampleName(String sampleName) {
        this.sampleName = sampleName;
    }

    public String getSampleName() {
        return sampleName;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String getData() {
        return data;
    }

    public void setGroupLeader(String groupLeader) {
        this.groupLeader = groupLeader;
    }

    public String getGroupLeader() {
        return groupLeader;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("taskId", getTaskId())
                .append("sampleName", getSampleName())
                .append("data", getData())
                .append("groupLeader", getGroupLeader())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("hasQuality", getHasQuality())
                .append("quality", getQuality())
                .append("hasTotal", getHasTotal())
                .append("totalVal", getTotalVal())
                .toString();
    }
}
